#pragma once
#include <cmath>
#include <vector>
#include <numeric>

namespace arith {

float sqrt(float x);
float mean(const std::vector<int>& x);

template<typename T>
void mm(const std::vector<T>& a, const std::vector<T>& b, std::vector<T>& c, size_t m, size_t k, size_t n) {
    // 补全这里，谢谢
}

template<typename T>
void vector_scalar_max(const std::vector<T>& a, std::vector<T> &b, T scalar) {
    // 补全这里，谢谢
}
}